> For the complete documentation index, see [llms.txt](https://docs.cebodtelecom.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cebodtelecom.com/api/didml-reference-doc/didml-verbs/less-than-record-greater-than.md).

# \<record>

**Role:**  gives an option to record the message.

**Use:** The use of \<record> is to prompt the user for recording their voice message.

{% hint style="info" %}

* *Number not answered –*  Say when the number that caller has dialed in is unanswered, then the system will prompt them to leave a voicemail.
  {% endhint %}

## Attributes

| Attribute           | Value          | Default                           |
| ------------------- | -------------- | --------------------------------- |
| Action              | *c*allback URL | None                              |
| Method              | Post           | None                              |
| fileID              | VARCHAR        | UUID(Universal Unique Identifier) |
| maxlength (Seconds) | Integer        | 180 seconds                       |
| confirmrecording    | 0 or 1         | 0                                 |

If action URL is passed, we will send the recording information in the response to the Callback URL. *The recording will be stored on our server and we will provide the link (recordingurl).*

“RecordingUrl=”..recordingurl..”\&callid=”..UUID..”dialednumber=”..DIALED\_NUMBER..”\&callerid=”..caller\_id\_number..”\&callername=”..caller\_id\_nam&#x65;*.*

**Example Code to prompt user to record their message:**

```
<Response>
<Say>Please Record your message.</Say>
<Record maxLength="30" action="playrecording.xml"/>
</Response>
```

Once the message has been recorded it will be played back to the user.

```
<Response>
        <Say>Now listen to what you just recorded.</Say>
    <Play>http://example.com/recording.mp3</Play>
        <Say>Goodbye.</Say>
</Response>
```

Special record attribute “confirmrecording”  give the caller an option to listen to the recording and if they want they can re-record the message.

```
<Response>
<Say>Please Record your message.</Say>
<Record maxLength="30" confirmrecording ="1" action="playrecording.xml"/>
</Response>
```

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cebodtelecom.com/api/didml-reference-doc/didml-verbs/less-than-record-greater-than.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
